UpdateTransactionStatus |WebMethod|
Updates different transaction status flags, like PaidConfirmed, Shipped etc.
- transactionStatusUpdateData, Request object containing the values to update transaction status flags, see TransactionStatusUpdateData for the additional information. To avoid updating certain status flag, it has to be null. Note that at least one of the status flags need to be set.
Returns Transaction object for the updated transaction with latest transaction status flags. Note that properties Buyer and Item on Transaction object are not relevant for this call and will be null because they are not set .
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/UpdateTransactionStatus" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <UpdateTransactionStatus xmlns="http://api.tradera.com"> <transactionStatusUpdateData>transactionStatusUpdateData</transactionStatusUpdateData> </UpdateTransactionStatus> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <UpdateTransactionStatusResponse xmlns="http://api.tradera.com"> <UpdateTransactionStatusResult>Returns Transaction object for the updated transaction with latest transaction status flags. Note that properties Buyer and Item on Transaction object are not relevant for this call and will be null because they are not set .</UpdateTransactionStatusResult> </UpdateTransactionStatusResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <UpdateTransactionStatus xmlns="http://api.tradera.com"> <transactionStatusUpdateData>transactionStatusUpdateData</transactionStatusUpdateData> </UpdateTransactionStatus> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <UpdateTransactionStatusResponse xmlns="http://api.tradera.com"> <UpdateTransactionStatusResult>Returns Transaction object for the updated transaction with latest transaction status flags. Note that properties Buyer and Item on Transaction object are not relevant for this call and will be null because they are not set .</UpdateTransactionStatusResult> </UpdateTransactionStatusResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/RestrictedService.asmx/UpdateTransactionStatus?appId=string&appKey=string&transactionStatusUpdateData=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<UpdateTransactionStatusResult xmlns="http://api.tradera.com">Returns Transaction object for the updated transaction with latest transaction status flags.
Note that properties Buyer and Item on Transaction object are not relevant for this call and will be null because they are not set .</UpdateTransactionStatusResult>HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx/UpdateTransactionStatus HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&transactionStatusUpdateData=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<UpdateTransactionStatusResult xmlns="http://api.tradera.com">Returns Transaction object for the updated transaction with latest transaction status flags.
Note that properties Buyer and Item on Transaction object are not relevant for this call and will be null because they are not set .</UpdateTransactionStatusResult>